Subject: [AAA-WG]: DIAMETER Base Protocol (Alpha 1) - Comments section 6.0

From: "Martin Julien (ECE)" <[email-masked]>
Date: Tue, 23 Jan 2001 11:48:43 +0100

Pat,

Some more comments on Alpha1, which I think are still valid for Alpha2. I was waiting before posting it, but since we have already started the discussion about my comments on section 6.2.1 in another thread, I thought I could give it a try.

Martin

Section 6.2.1
-------------
If more than one server is found in the routing table, should the message be sent to all the servers? According to the previous revision of this document, the message should be sent to only one of the servers (refer to section 6.3.1 of draft-calhoun-diameter-17.txt) If so, I wonder how the routing of re-authentication messages from the NAS to the same Home server could occur again for the same session-ID? I thought the no-longer-existing Destination-NAI AVP was meant to identify precisely a destination server within a realm of servers and used as the main key for routing?

Also, I guess the caching of the Home server proposed in the previous version of this document is no longer recommended to short-cut the redirect server? Neither the use of the Session-Timeout AVP?

Section 6.4.2
-------------
"...last Route-Record AVP matches one of its addresses."
Should we replace addresses by Local FQDN, since the Route-Record AVP contains FQDN only?

Section 6.4.4
-------------
Why do we have to specify an address in the Proxy-State if it can not be used for routing anyway? Could we replace it with an Host-Name (FQDN) to make it more consistent with some other AVPs?

Section 6.4.7
-------------
Is the Routing-Realm AVP enough to route a message to a server where a session-ID is already started? I thought the no-longer-existing Destination-NAI AVP was meant to identify precisely a destination server within a realm of servers and used as the main key for routing?

Section 6.7
-----------
"If an AVP with the local host's identity..."
I guess you meant the local host FQDN, as would be used in the Host-Name AVP if a message would origin ate from that proxy?